<template>
  <a-drawer
    :title="title"
    :width="drawerWidth"
    :visible="visible"
    @close="handleCancel"
    :confirmLoading="confirmLoading"
    :maskClosable="maskClosable"
  >
    <a-card :style="getBackground()">
      <template>
        <a-row
          type="flex"
          :gutter="16"
        >
          <a-col
            :md="6"
            :sm="24"
          >
            <equipment-structure-left @clickTreeNode="getSelectNode" />
          </a-col>
          <a-col
            :md="24-6"
            :sm="24"
          >
            <equipment-spares-right :recordSelect="currentNodeSelect" />
          </a-col>
        </a-row>
      </template>
    </a-card>

    <div :style="{width: '100%',border: '1px solid #e9e9e9',padding: '10px 16px',background: '#fff',}">
      <a-row :style="{textAlign:'right'}">
        <a-button
          :style="{marginRight: '8px'}"
          @click="handleCancel"
        >
          取消
        </a-button>
        <a-button
          @click="handleOk"
          :disabled="false"
          type="primary"
        >确定</a-button>
      </a-row>
    </div>
  </a-drawer>
</template>

<script>
import EquipmentStructureLeft from './EquipmentStructureLeft'
import EquipmentSparesRight from './EquipmentSparesRight.vue'

export default {
  name: 'EquipmentStructureDrawer',
  components: {
    EquipmentStructureLeft,
    EquipmentSparesRight
  },
  data() {
    return {
      title: "设备结构",
      maskClosable: true,
      confirmLoading: false,
      drawerWidth: "100%",
      visible: false,
      currentNodeSelect: '',
      // equipmentRecord: {},
    }
  },
  // created() {
  //   this.equipmentRecord = {}
  // },
  methods: {
    getSelectNode(val) {
      this.currentNodeSelect = val;
    },
    getBackground() {
      return "background-color:rgba(127, 127, 127,0.08)";
    },
    loadData() {

    },
    handleCancel() {
      this.close()
    },
    close() {
      this.visible = false;
    },
    handleOk() { this.close() }
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>